# Draw
TKDraw
DrawTrSurf

# DrawTrSurf_Curve Class Reference

This class defines a drawable curve in 3d space.
.

`#include <DrawTrSurf_Curve.hxx>`

Inheritance diagram for DrawTrSurf_Curve:

[legend]

## Public Member Functions

Standard_EXPORT | DrawTrSurf_Curve (const Handle(Geom_Curve)&C, const Standard_Boolean DispOrigin=Standard_True)
| creates a drawable curve from a curve of package Geom.
Standard_EXPORT | DrawTrSurf_Curve (const Handle(Geom_Curve)&C, const Draw_Color &aColor, const Standard_Integer Discret, const Standard_Real Deflection, const Standard_Integer DrawMode, const Standard_Boolean DispOrigin=Standard_True, const Standard_Boolean DispCurvRadius=Standard_False, const Standard_Real RadiusMax=1.0e3, const Standard_Real RatioOfRadius=0.1)
Standard_EXPORT void | DrawOn (Draw_Display &dis) const
| this is defined only to tell C++ not to complain about inheriting a pure virtual method.
Handle_Geom_Curve | GetCurve () const
void | SetColor (const Draw_Color &aColor)
Standard_Boolean | DisplayOrigin () const
void | DisplayOrigin (const Standard_Boolean V)
void | ShowCurvature ()
void | ClearCurvature ()
void | SetRadiusMax (const Standard_Real Radius)
void | SetRadiusRatio (const Standard_Real Ratio)
Draw_Color | Color () const
Standard_Real | RadiusMax () const
Standard_Real | RadiusRatio () const
virtual Standard_EXPORT Handle_Draw_Drawable3D | Copy () const
| For variable copy. .
virtual Standard_EXPORT void | Dump (Standard_OStream &S) const
| For variable dump. .
virtual Standard_EXPORT void | Whatis (Draw_Interpretor &I) const
| For variable whatis command. Set as a result the type of the variable. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Attributes

Handle_Geom_Curve | curv
Draw_Color | look
Standard_Boolean | disporigin
Standard_Boolean | dispcurvradius
Standard_Real | radiusmax
Standard_Real | radiusratio

## Constructor & Destructor Documentation

Standard_EXPORT DrawTrSurf_Curve::DrawTrSurf_Curve | ( | const Handle(Geom_Curve)& | C,
|  | const Standard_Boolean | DispOrigin = `Standard_True`
| ) |

Standard_EXPORT DrawTrSurf_Curve::DrawTrSurf_Curve | ( | const Handle(Geom_Curve)& | C,
|  | const Draw_Color & | aColor,
|  | const Standard_Integer | Discret,
|  | const Standard_Real | Deflection,
|  | const Standard_Integer | DrawMode,
|  | const Standard_Boolean | DispOrigin = `Standard_True`,
|  | const Standard_Boolean | DispCurvRadius = `Standard_False`,
|  | const Standard_Real | RadiusMax = `1.0e3`,
|  | const Standard_Real | RatioOfRadius = `0.1`
| ) |

## Member Function Documentation

void DrawTrSurf_Curve::ClearCurvature | ( |  | ) | `[inline]`

Draw_Color DrawTrSurf_Curve::Color | ( |  | ) | const`[inline]`

virtual Standard_EXPORT Handle_Draw_Drawable3D DrawTrSurf_Curve::Copy | ( |  | ) | const`[virtual]`

| Reimplemented from Draw_Drawable3D. Reimplemented in DrawTrSurf_BezierCurve, and DrawTrSurf_BSplineCurve.

void DrawTrSurf_Curve::DisplayOrigin | ( | const Standard_Boolean | V | ) | `[inline]`

Standard_Boolean DrawTrSurf_Curve::DisplayOrigin | ( |  | ) | const`[inline]`

Standard_EXPORT void DrawTrSurf_Curve::DrawOn | ( | Draw_Display & | dis | ) | const`[virtual]`

| Implements DrawTrSurf_Drawable. Reimplemented in DrawTrSurf_BezierCurve, DrawTrSurf_BSplineCurve, TestTopOpeDraw_DrawableC3D, and TestTopOpeDraw_DrawableMesure.

virtual Standard_EXPORT void DrawTrSurf_Curve::Dump | ( | Standard_OStream & | S | ) | const`[virtual]`

| Reimplemented from Draw_Drawable3D.

Handle_Geom_Curve DrawTrSurf_Curve::GetCurve | ( |  | ) | const

Standard_EXPORT const DrawTrSurf_Curve::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from DrawTrSurf_Drawable. Reimplemented in DrawTrSurf_BezierCurve, DrawTrSurf_BSplineCurve, TestTopOpeDraw_DrawableC3D, and TestTopOpeDraw_DrawableMesure.

Standard_Real DrawTrSurf_Curve::RadiusMax | ( |  | ) | const`[inline]`

Standard_Real DrawTrSurf_Curve::RadiusRatio | ( |  | ) | const`[inline]`

void DrawTrSurf_Curve::SetColor | ( | const Draw_Color & | aColor | ) | `[inline]`

void DrawTrSurf_Curve::SetRadiusMax | ( | const Standard_Real | Radius | ) | `[inline]`

void DrawTrSurf_Curve::SetRadiusRatio | ( | const Standard_Real | Ratio | ) | `[inline]`

void DrawTrSurf_Curve::ShowCurvature | ( |  | ) | `[inline]`

virtual Standard_EXPORT void DrawTrSurf_Curve::Whatis | ( | Draw_Interpretor & | I | ) | const`[virtual]`

| Reimplemented from Draw_Drawable3D. Reimplemented in TestTopOpeDraw_DrawableC3D, and TestTopOpeDraw_DrawableMesure.

## Field Documentation

Handle_Geom_Curve DrawTrSurf_Curve::curv `[protected]`

Standard_Boolean DrawTrSurf_Curve::dispcurvradius `[protected]`

Standard_Boolean DrawTrSurf_Curve::disporigin `[protected]`

Draw_Color DrawTrSurf_Curve::look `[protected]`

Standard_Real DrawTrSurf_Curve::radiusmax `[protected]`

Standard_Real DrawTrSurf_Curve::radiusratio `[protected]`

The documentation for this class was generated from the following files:

- DrawTrSurf_Curve.hxx
- DrawTrSurf_Curve.lxx